LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XMultiFormulaTokens Interface Reference

gives access to multiple sets of formula tokens. More...

`import"XMultiFormulaTokens.idl";`

## Public Member Functions
sequence< FormulaToken > | getTokens ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| returns the formula at specified index as sequence of tokens. More...
void | setTokens ([in] long nIndex, [in] sequence< FormulaToken > aTokens) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| sets the formula at specified index as sequence of tokens. More...
long | getCount ()
| returns the number of formulas allowed in this formula token set. More...

## Detailed Description

gives access to multiple sets of formula tokens.

A service implementing this interface can internally set an arbitrary number of formula token sequences. The number of allowed formula token sequences must be returned by the com::sun::star::sheet::XMultiFormulaTokens::getCount() method. When the client code tries to access formula tokens at index that is outside the allowed index range, the implementation shall return an com::sun::star::lang::IndexOutOfBoundsException.

## Member Function Documentation

## ◆ getCount()

long getCount | ( |  | ) |

returns the number of formulas allowed in this formula token set.

Returns
  the number of formulas the implementation supports.

## ◆ getTokens()

sequence< FormulaToken > getTokens | ( | [in] long | nIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

returns the formula at specified index as sequence of tokens.

Exceptions

  IndexOutOfBoundsException | If the given index lies not in the valid range then an com::sun::star::lang::IndexOutOfBoundsException exception is thrown.

## ◆ setTokens()

void setTokens | ( | [in] long | nIndex,
|  | [in] sequence< FormulaToken > | aTokens
| ) |  |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

sets the formula at specified index as sequence of tokens.

Exceptions

  IndexOutOfBoundsException | If the given index lies not in the valid range then an com::sun::star::lang::IndexOutOfBoundsException exception is thrown.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XMultiFormulaTokens.idl